Show / Hide Table of Contents

# Class PluginDefinition

Class containing information about a plugin.

##### Inheritance

System.Object
PluginDefinition

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Plugin

###### Assembly: Dalamud.dll

##### Syntax

    public class PluginDefinition

### Properties

| Improve this Doc View Source

#### ApplicableVersion

Gets or sets the version of the game this plugin works with.

##### Declaration

    public string ApplicableVersion { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### AssemblyVersion

Gets or sets the current assembly version of the plugin.

##### Declaration

    public string AssemblyVersion { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Author

Gets or sets the author/s of the plugin.

##### Declaration

    public string Author { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### DalamudApiLevel

Gets or sets the API level of this plugin. For the current API level, please see Dalamud.Plugin.PluginManager.DalamudApiLevel for the currently used API level.

##### Declaration

    public int DalamudApiLevel { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Description

Gets or sets a description of the plugins functions.

##### Declaration

    public string Description { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### DownloadCount

Gets or sets the number of downloads this plugin has.

##### Declaration

    public long DownloadCount { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### DownloadLinkInstall

Gets or sets the download link used to install the plugin.

##### Declaration

    public string DownloadLinkInstall { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### DownloadLinkTesting

Gets or sets the download link used to get testing versions of the plugin.

##### Declaration

    public string DownloadLinkTesting { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### DownloadLinkUpdate

Gets or sets the download link used to update the plugin.

##### Declaration

    public string DownloadLinkUpdate { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### InternalName

Gets or sets the internal name of the plugin, which should match the assembly name of the plugin.

##### Declaration

    public string InternalName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### IsHide

Gets or sets a value indicating whether or not the plugin is hidden in the plugin installer.

##### Declaration

    public bool IsHide { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsTestingExclusive

Gets or sets a value indicating whether the plugin is only available for testing.

##### Declaration

    public bool IsTestingExclusive { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### LastUpdate

Gets or sets the last time this plugin was updated.

##### Declaration

    public long LastUpdate { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### LoadPriority

Gets or sets the load priority for this plugin. Higher values means higher priority. 0 is default priority.

##### Declaration

    public int LoadPriority { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Name

Gets or sets the public name of the plugin.

##### Declaration

    public string Name { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### RepoNumber

Gets or sets the index of the third party repo.

##### Declaration

    public int RepoNumber { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RepoUrl

Gets or sets an URL to the website or source code of the plugin.

##### Declaration

    public string RepoUrl { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Tags

Gets or sets a list of tags defined on the plugin.

##### Declaration

    public List<string> Tags { get; set; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.List<System.String> |

| Improve this Doc View Source

#### TestingAssemblyVersion

Gets or sets the current testing assembly version of the plugin.

##### Declaration

    public string TestingAssemblyVersion { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |